MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024786Open CASCADE[OCCT] OCCT:Configurationpublic2014-04-01 19:042019-03-14 22:24
Reporteromy 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0024786: Move functionality of WOK command wgenproj to OCCT tool genproj
DescriptionCurrently generation of OCCT project files is provided by command wgenproj available in WOK environment.
In the view of forthcoming elimination of WOK, it is necessary to move this functionality to a separate tool available in OCCT (adm/genproj.tcl).
Steps To Reproducegenproj.bat
TagsNo tags attached.
Test case number
Attached Files

- Relationships
parent of 0026467closedbugmaster Open CASCADE Configuration, genproj.tcl - restore generation of Code::Blocks and XCode project files 
parent of 0026602closedski Open CASCADE Configuration, genproj.tcl - drop code generating Automake files 
related to 0026405closedbugmaster Open CASCADE CMake should use units that are required by build OS 

-  Notes
(0030413)
git (administrator)
2014-07-24 15:21

Branch CR24786_1 has been updated by ski.

SHA-1: 922f5d0cfa58dd09231e0418e969237c51ae1ef2
(0042740)
git (administrator)
2015-07-06 07:04

Branch CR24786_2 has been created by abv.

SHA-1: 1acae837f6bcdc3b9d75362814b1b502b70daab1


Detailed log of new commits:

Author: ski
Date: Wed Jul 9 13:37:07 2014 +0400

    0024786: Move functionality of WOK command wgenproj to OCCT tool genproj
    
    Script genproj.tcl was created.
    Generation of VC projects is available.

Author: abv
Date: Sat Jul 4 07:20:02 2015 +0300

    0024816: Tool for upgrading OCCT and dependent code
    
    A new script adm/upgrade.tcl defines a Tcl procedure occt_upgrade, to be used for upgrading code of OCCT and applications for changes introduced by OCCT 7.0.
    Details on upgrade procedure are put in dox/dev_guides/upgrade/upgrade.md.
(0042742)
abv (manager)
2015-07-06 08:10

I have rebased the patch on CR0-IR-OCCT7-alpha3, removing CMake generation, restoring inc as include directory, and updating project templates to their actual state (from WOK repo).

The remaining point is to add a step before projects generation that would populate folder inc (in build directory) by shortcut header files directing to corresponding header in src, for instance:

/inc/gp.hxx:

#include "../src/gp/gp.hxx"

This generation should:
- process all hxx, lxx, and gxx files in the modules being built
- use relative path (as above) if build directory is CASROOT, absolute path otherwise
- check if the file already exists with the correct content, and update only if content is different
- detect and remove obsolete shortcut headers
(0042782)
git (administrator)
2015-07-07 11:37

Branch CR24786_2 has been updated by ibs.

SHA-1: 33b0bd111eabbce3cd5fb8a9b23c0239395123dd


Detailed log of new commits:

Author: ibs
Date: Tue Jul 7 11:27:42 2015 +0300

    0024786: Move functionality of WOK command wgenproj to OCCT tool genproj
    
    wokconfgui is being called if custom.bat does not exist

Author: ibs
Date: Mon Jul 6 14:10:08 2015 +0300

    0024786: Move functionality of WOK command wgenproj to OCCT tool genproj
    
    genproj creates short-cut files of required include header files in $casroot/inc

(0042811)
git (administrator)
2015-07-07 18:06

Branch CR24786_2 has been updated forcibly by ibs.

SHA-1: 1e5287a7d7a55624dda369f108d0514af56c1c5f
(0042818)
git (administrator)
2015-07-08 11:13

Branch CR24786_2 has been updated by ibs.

SHA-1: 27a31154af851ab2515f5c66289d78b425bd0b5f


Detailed log of new commits:

Author: unknown
Date: Wed Jul 8 10:46:17 2015 +0300

    [TCL] short-cut headers contains header include with relative path

(0043174)
aml (developer)
2015-07-20 10:57

I think that adding hint about including tcl binaries into PATH variable will be useful. Without it hard to understand reason of failure.
(0043250)
abv (manager)
2015-07-22 07:07

Considered as completed (except of last remark) and integrated to master
(0043252)
git (administrator)
2015-07-22 07:08

Branch CR24786_2 has been deleted by abv.

SHA-1: 27a31154af851ab2515f5c66289d78b425bd0b5f
(0043307)
git (administrator)
2015-07-22 16:28

Branch CR24786 has been deleted by abv.

SHA-1: b1989cb357305658bb37a2d9d22760fc03cfbcf8
(0043571)
git (administrator)
2015-07-27 14:18

Branch CR24786_1 has been deleted by kgv.

SHA-1: 922f5d0cfa58dd09231e0418e969237c51ae1ef2
(0044409)
abv (manager)
2015-08-19 11:59

Alexander, for this your remark:

> I think that adding hint about including tcl binaries into PATH variable will be useful. Without it hard to understand reason of failure.

this should be improved in 0024816 (error should be reported if Tcl is not present in PATH), you can check this after that fix is integrated (hopefully, this Friday)

- Related Changesets
occt: master 910970ab
Timestamp: 2014-07-09 09:37:07
Author: abv
Committer: abv
Details ] Diff ]
0024786: Move functionality of WOK command wgenproj to OCCT tool genproj

WOK scripts used in generation of MSVC projects are put to adm/genproj.tcl
Batch script genproj.bat added, replacing 'wgenproj' command of WOK.

WOK tool for configuring custom.bat is also copied; it is called by genproj if custom.bat does not exist

Environment variable SHORTCUT_HEADERS can be defined in custom.bat to have headers put in inc just shortcuts to actual headers, instead of copies.
Corresponding option "copy OCCT short-cut headers instead of original one to inc folder" is added to genconf dialog
mod - .gitignore Diff ] File ]
add - adm/CMPLRS Diff ] File ]
add - adm/genconf.tcl Diff ] File ]
add - adm/genconfdeps.tcl Diff ] File ]
add - adm/genproj.tcl Diff ] File ]
add - adm/templates/acinclude.m4 Diff ] File ]
add - adm/templates/codeblocks.sh Diff ] File ]
mod - adm/templates/draw.bat Diff ] File ]
mod - adm/templates/draw.sh Diff ] File ]
add - adm/templates/env.bat Diff ] File ]
add - adm/templates/env.sh Diff ] File ]
add - adm/templates/msvc.bat Diff ] File ]
add - adm/templates/template.ac Diff ] File ]
add - adm/templates/template.mam Diff ] File ]
add - adm/templates/template.mamx Diff ] File ]
add - adm/templates/template.plist Diff ] File ]
add - adm/templates/template.vc10 Diff ] File ]
add - adm/templates/template.vc10x Diff ] File ]
add - adm/templates/template.vc11 Diff ] File ]
add - adm/templates/template.vc11x Diff ] File ]
add - adm/templates/template.vc12 Diff ] File ]
add - adm/templates/template.vc12x Diff ] File ]
add - adm/templates/template.vc7 Diff ] File ]
add - adm/templates/template.vc7x Diff ] File ]
add - adm/templates/template.vc8 Diff ] File ]
add - adm/templates/template.vc8x Diff ] File ]
add - adm/templates/template.vc9 Diff ] File ]
add - adm/templates/template.vc9x Diff ] File ]
add - adm/templates/template.xcscheme Diff ] File ]
add - adm/templates/template_dll.rc Diff ] File ]
add - adm/templates/vcproj.user.vc9x Diff ] File ]
add - adm/templates/vcxproj.user.vc10x Diff ] File ]
add - adm/templates/vcxproj.user.vc11x Diff ] File ]
add - adm/templates/vcxproj.user.vc12x Diff ] File ]
mod - CMakeLists.txt Diff ] File ]
add - genproj.bat Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-04-01 19:04 omy New Issue
2014-04-01 19:04 omy Assigned To => omy
2014-04-01 19:05 omy Status new => confirmed
2014-04-01 19:05 omy Status confirmed => assigned
2014-04-04 17:47 abv Target Version 6.7.1 => 6.8.0
2014-07-09 12:20 abv Assigned To omy => ski
2014-07-24 15:21 git Note Added: 0030413
2014-09-26 14:21 abv Target Version 6.8.0 => 7.0.0
2015-07-06 07:04 git Note Added: 0042740
2015-07-06 08:10 abv Note Added: 0042742
2015-07-06 10:47 abv Assigned To ski => ibs
2015-07-07 11:37 git Note Added: 0042782
2015-07-07 11:57 ibs Relationship added related to 0026405
2015-07-07 18:06 git Note Added: 0042811
2015-07-08 11:13 git Note Added: 0042818
2015-07-20 10:57 aml Note Added: 0043174
2015-07-22 07:07 abv Note Added: 0043250
2015-07-22 07:07 abv Assigned To ibs => bugmaster
2015-07-22 07:07 abv Status assigned => resolved
2015-07-22 07:07 abv Steps to Reproduce Updated View Revisions
2015-07-22 07:08 git Note Added: 0043252
2015-07-22 16:28 git Note Added: 0043307
2015-07-23 11:55 abv Changeset attached => occt master 910970ab
2015-07-23 11:55 abv Assigned To bugmaster => abv
2015-07-23 11:55 abv Status resolved => verified
2015-07-23 11:55 abv Resolution open => fixed
2015-07-27 14:18 git Note Added: 0043571
2015-07-27 14:43 kgv Relationship added parent of 0026467
2015-08-19 11:59 abv Note Added: 0044409
2015-08-25 17:22 kgv Relationship added parent of 0026602
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:48 aiv Status verified => closed
2019-03-14 22:24 kgv Relationship added parent of 0030574


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker